## texlive-base 2024.20240829

=== debian/changelog ===
texlive-base (2024.20240829-2) unstable; urgency=medium

  * Add file conflict w/ texlive-extra-utils (Closes: #1080097).

 -- Hilmar Preuße <hille42@debian.org>  Fri, 30 Aug 2024 22:08:24 +0200

texlive-base (2024.20240829-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 30 Aug 2024 10:53:15 +0200

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>, Hilmar Preuße <hille42@debian.org>
Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git [texlive-base]
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin/tree/master/texlive-base

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2024.20240313), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2024.20240401), texlive-base (<< 2024.20240401), texlive-bibtex-extra (<< 2024.20240401), texlive-binaries (<< 2024.20240313), texlive-extra-utils (<< 2024.20240401), texlive-font-utils (<< 2024.20240401), texlive-fonts-extra (<< 2024.20240401), texlive-fonts-extra-doc (<< 2024.20240401), texlive-fonts-extra-links (<< 2024.20240401), texlive-fonts-recommended (<< 2024.20240401), texlive-fonts-recommended-doc (<< 2024.20240401), texlive-formats-extra (<< 2024.20240401), texlive-full (<< 2024.20240401), texlive-games (<< 2024.20240401), texlive-humanities (<< 2024.20240401), texlive-humanities-doc (<< 2024.20240401), texlive-lang-all (<< 2024.20240401), texlive-lang-arabic (<< 2024.20240401), texlive-lang-chinese (<< 2024.20240401), texlive-lang-cjk (<< 2024.20240401), texlive-lang-cyrillic (<< 2024.20240401), texlive-lang-czechslovak (<< 2024.20240401), texlive-lang-english (<< 2024.20240401), texlive-lang-european (<< 2024.20240401), texlive-lang-french (<< 2024.20240401), texlive-lang-german (<< 2024.20240401), texlive-lang-greek (<< 2024.20240401), texlive-lang-italian (<< 2024.20240401), texlive-lang-japanese (<< 2024.20240401), texlive-lang-korean (<< 2024.20240401), texlive-lang-other (<< 2024.20240401), texlive-lang-polish (<< 2024.20240401), texlive-lang-portuguese (<< 2024.20240401), texlive-lang-spanish (<< 2024.20240401), texlive-latex-base (<< 2024.20240401), texlive-latex-base-doc (<< 2024.20240401), texlive-latex-extra (<< 2024.20240401), texlive-latex-extra-doc (<< 2024.20240401), texlive-latex-recommended (<< 2024.20240401), texlive-latex-recommended-doc (<< 2024.20240401), texlive-luatex (<< 2024.20240401), texlive-metapost (<< 2024.20240401), texlive-metapost-doc (<< 2024.20240401), texlive-music (<< 2024.20240401), texlive-pictures (<< 2024.20240401), texlive-pictures-doc (<< 2024.20240401), texlive-plain-generic (<< 2024.20240401), texlive-pstricks (<< 2024.20240401), texlive-pstricks-doc (<< 2024.20240401), texlive-publishers (<< 2024.20240401), texlive-publishers-doc (<< 2024.20240401), texlive-science (<< 2024.20240401), texlive-science-doc (<< 2024.20240401), texlive-xetex (<< 2024.20240401)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2024.20240829), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-plain-generic (<< 2020)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-extra-utils (<< 2024.20240829), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-english (<< 2022.20220923), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017), texlive-plain-generic (<< 2020)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies (bib files) for LaTeX or other formats
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 ec -- Computer modern fonts in T1 and TS1 encodings
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- Core TeX and Metafont sources from Knuth
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luahbtex -- LuaTeX with HarfBuzz library for glyph shaping
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 modes -- A collection of Metafont mode_def's
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-en -- TeX Live manual (English)
 .
 texlive-msg-translations -- translations of the TeX Live installer and TeX
 Live Manager
 .
 texlive-scripts -- TeX Live infrastructure programs
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2024.20240401), texlive-binaries (>= 2024.20240313)
Suggests: texlive-latex-base-doc, wp2latex
Replaces: texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
Breaks: latexml (<= 0.8.6-4), texlive-base (<< 2022.20220405), texlive-formats-extra (<< 2020.20201129), texlive-lang-japanese (<= 2022.20221123-1), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 auxhook -- Hooks for auxiliary files
 .
 babel -- Multilingual support for LaTeX, LuaLaTeX, XeLaTeX, and Plain TeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bigintcalc -- Integer calculations on very large numbers
 .
 bitset -- Handle bit-vector datatype
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 etexcmds -- Avoid name clashes with e-TeX commands
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 firstaid -- First aid for external LaTeX files and packages that need
 updating
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 gettitlestring -- Clean up title references
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hopatch -- Load patches for packages
 .
 hycolor -- Implements colour for packages hyperref and bookmark
 .
 hypcap -- Adjusting the anchors of captions
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 intcalc -- Expandable arithmetic operations with integers
 .
 kvdefinekeys -- Define keys for use in the kvsetkeys package
 .
 kvoptions -- Key value format for package options
 .
 kvsetkeys -- Key value parser with default handler support
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3kernel -- LaTeX3 programming conventions
 .
 l3packages -- High-level LaTeX3 concepts
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latex-lab -- LaTeX laboratory
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 letltxmacro -- Let assignment for LaTeX macros
 .
 ltxcmds -- Some LaTeX kernel commands for general use
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pagesel -- Select pages of a document for output
 .
 pdfescape -- Implements pdfTeX's escape features using TeX or e-TeX
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 refcount -- Counter operations with label references
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 stringenc -- Converting a string between different encodings
 .
 tools -- The LaTeX standard tools bundle
 .
 uniquecounter -- Provides unlimited unique counter
 .
 url -- Verbatim with URL-sensitive line breaks
 .
 hypdoc -- Hyper extensions for doc.sty
 .
 pdftexcmds -- LuaTeX support for pdfTeX utility functions
 .
 infwarerr -- Complete set of information/warning/error message macros

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2024.20240313), texlive-latex-base (>= 2024.20240401)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208)

## texlive-base 2024.20241102

=== debian/changelog ===
texlive-base (2024.20241102-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 04 Nov 2024 14:40:23 +0100

## texlive-base 2024.20241115

=== debian/changelog ===
texlive-base (2024.20241115-1deepin1) unstable; urgency=medium

  * Set NoDisplay=true for texdoctk.desktop.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 22 Nov 2024 10:06:56 +0800

texlive-base (2024.20241115-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 16 Nov 2024 22:33:41 +0100

## texlive-base 2024.20250114

=== debian/changelog ===
texlive-base (2024.20250114-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 15 Jan 2025 11:37:53 +0100

=== debian/control ===
--- 
+++ 
@@ -47,6 +47,8 @@
  .
  etex-pkg -- E-TeX support package
  .
+ extractbb -- A reimplementation of extractbb, written in Lua
+ .
  glyphlist -- Adobe Glyph List and TeX extensions
  .
  graphics-def -- Colour and graphics option files

## texlive-base 2024.20250309

=== texmf-dist/doc/latex/productbox/Makefile ===
#******************************************************************************
#* $Id: Makefile 8333 2010-12-29 19:58:06Z gene $
#******************************************************************************
#* Author: Gerd Neugebauer
#*=============================================================================

DISTFILES = productbox.ins \
	    productbox.dtx \
	    productbox.bib \
	    README         \
	    Makefile       \
	    productbox.pdf

all: productbox.pdf

%.pdf: %.dtx productbox.sty %.bbl %.ind %.gls
	pdflatex -interaction=batchmode -draftmode $*.dtx
	pdflatex -interaction=batchmode $*.dtx
	${RM} $*.out

%.sty: %.dtx *.ins
	rm -f $*.sty
	tex $*.ins

%.bbl: %.aux *.bib
	bibtex $*

%.ind: %.idx
	makeindex -s gind $*.idx

%.idx: %.dtx
	pdflatex -draftmode $*.dtx

%.aux: %.dtx
	pdflatex -draftmode $*.dtx

%.gls: %.glo
	makeindex -s gglo -o $*.gls $*.glo

%.glo: %.dtx
	pdflatex -draftmode $*.dtx

#------------------------------------------------------------------------------

productbox.tgz dist: productbox.pdf
	tar -cvzf productbox.tgz ${DISTFILES}

clean:
	${RM} productbox.aux productbox.ilg productbox.idx productbox.log productbox.toc productbox.glo productbox.out *~

distclean: clean
	${RM} productbox.sty productbox.pdf

#

=== texmf-dist/source/luatex/hyph-utf8/Makefile ===
# Makefile for luatex-hyphen in tex-hyphen/hyph-utf8

NAME = luatex-hyphen
DTX = $(NAME).dtx

# Generated files
COMPILED = $(NAME).pdf
UNPACKED = $(NAME).lua hyphen.cfg

# Installation locations
RUNDIR = ../../../tex/luatex/hyph-utf8
DOCDIR = ../../../doc/luatex/hyph-utf8

# Final files
RUNFILES = $(patsubst %, $(RUNDIR)/%, $(UNPACKED))
DOCFILE = $(DOCDIR)/$(COMPILED)

all: $(RUNFILES) $(DOCFILE)

DO_TEX = tex --interaction=batchmode $< >/dev/null
DO_PDFLATEX = pdflatex --interaction=batchmode $< >/dev/null

$(DOCFILE): $(DTX)
	$(DO_PDFLATEX)
	$(DO_PDFLATEX)
	mv $(COMPILED) $(DOCDIR)

$(RUNFILES): $(DTX)
	$(DO_TEX)
	for file in $(UNPACKED); do mv $$file $(RUNDIR); done

clean: 
	@$(RM) -- *.log *.aux *.toc *.idx *.ind *.ilg

.PHONY: clean

=== texmf-dist/doc/latex/circuit-macros/examples/Makefile ===
# Examples Makefile
#
# Type "make" to generate examples.pdf containing many examples.
# Type "make clean; make examples.ps" to invoke latex intead of pdflatex.
# Type "make <diag>.ps" to make a postscript file from <diag>.m4
#  It may be necessary to type "make clean" before this or any of the following:
# Type "make <diag>.eps" to make an .eps file from <diag>.m4
# Type "make <diag>.svg" to make an .svg file from <diag>.m4 using pdf2svg
#   The following require ImageMagick convert:
# Type "make <diag>.png" to make a .png file from <diag>.m4
# Type "make <diag>.tif" to make a .tif file from <diag>.m4
#
#      See also: dpv subdirectory for creating svg with dpic -v without LaTeX
#
# To test the file test.m4, type "make tst" if boxdims is used, otherwise
# type "make tst1".  In either case the file tst.ps is created.
#
# There are more examples in the extras directory. Go to that
# directory and process them one at a time, or type "make".
#
# To debug a single diagram in a directory other than this examples
# directory, copy this makefile and tst.tex to where you want to work,
# redefine LIBDIR (below) appropriately, and type "make <diag>.xxx"
# where xxx is one of ps, eps, png, or pdf

#########################################################################

# Circuit_macro directory, change this if necessary:
# LIBDIR = $$HOME/lib
LIBDIR = ..

# The dpic processor:
PIC = dpic
#PIC = $$HOME/dpic/bisondev/dpic
#PIC = $$HOME/dpic/bison/dpic
#PIC = $$HOME/dpic/pascaldev/test/dpic
#PIC = $$HOME/dpic/pascal/test/dpic

# Quiet mode for MiKTeX:
# QLATEX = latex --quiet
# Quiet mode for texlive:
QLATEX = latex -interaction=batchmode

#MODE = -p
MODE = -g

#CONF = pstricks.m4
CONF = pgf.m4

# Uncomment for gpic.  Use gpic or pic as applicable on your machine:
# PIC = gpic
# PIC = pic
# MODE = -t
# CONF = gpic.m4

# Convert options
EPSOPTS =
PNGOPTS = -quiet -density 400 -scale 25% -alpha Remove

# M4 = m4 -I $(LIBDIR)
# If environment variable M4PATH has been set to the installation directory:
M4 = m4

DOC = examples
TEXPICS = \
  ABlogix.tex Adder.tex Alogix.tex AmpTable.tex Antennas.tex Arresters.tex \
  Audio.tex Bip.tex Btree.tex Buttons.tex Byte.tex \
  Capacitors.tex CanLogic.tex Chips.tex Conn.tex Connectors.tex \
  Contacts.tex Contact.tex control.tex Crow.tex \
  cbresistor.tex csc.tex Csource.tex Decoder.tex \
  Demultiplexer.tex diamond.tex Dini.tex Diodes.tex Drive.tex \
  EEP.tex Emarrows.tex Escher.tex EVplugs.tex \
  ex01.tex ex03.tex ex04.tex ex05.tex ex08.tex \
  ex09.tex ex10.tex ex11.tex ex12.tex ex15.tex ex16.tex ex18.tex \
  ex21.tex exp.tex fet.tex Flow.tex Fuses.tex \
  Geometry.tex GrayCode.tex graysurf.tex Grounds.tex \
  Headers.tex Heathkit.tex \
  I2L.tex Incleps.tex Inductors.tex Jack.tex \
  lcct.tex Logic.tex Loglog.tex LT3724.tex \
  MC.tex Mixer.tex MoreTable.tex MotorControl.tex Multiplexer.tex \
  NLG.tex NPDT.tex Nport.tex OneLine.tex Opamp.tex Optoiso.tex \
  Pconn.tex Plate.tex PushPull.tex pwrsupply.tex \
  Quantum.tex quick.tex \
  random.tex Rectifiers.tex recycle.tex relaycoil.tex Relay.tex \
  Resistors.tex Rotbox.tex \
  Schottky.tex Sevensegment.tex sfg.tex Shadowed.tex shapes.tex \
  ShiftR.tex Sierpinski.tex Sixpole.tex \
  Smithchart.tex Sources.tex Switches.tex \
  Tgate.tex Three.tex thyristor.tex TTLnand.tex Tubediags.tex \
  UNO.tex ujt.tex Variable.tex Windings.tex worm.tex Xform.tex XOR.tex

# Files that have to be processed twice:
BOXDIMS = Btree.tex ex09.tex Crow.tex Incleps.tex Loglog.tex Opamp.tex \
 random.tex Windings.tex

#########################################################################

DVIPSOPTS = -G0 -t letter
DIMFILE = $(DOC).dim
BS = tr '|' '\134'

# Might be needed (change latex commands to $(LTX) )
# LTX = latex --shell-escape
LTX = pdflatex --shell-escape

PDFLTXSRC=printf "|documentclass[11pt]{standalone}\n\
|usepackage[dvipsnames]{xcolor}\n\
|usepackage{times,boxdims,siunitx,amssymb,tikz,geometry}\n\
|geometry{paperwidth=15in,paperheight=14in,margin=1in}\n\
|pagestyle{empty}|thispagestyle{empty}\n\
|begin{document}|noindent|input{"$*".tex}|end{document}\n" | $(BS)

# [dvipsnames]{xcolor} defines the colors near the end of:
# https://steeven9.github.io/USI-LaTeX/html/packages_hyperref_babel_xcolor3.html
# Better: use adjusted colors from http://latexcolor.com/

LTXFILE=printf "|documentclass[11pt]{article}\n\
|usepackage[dvipsnames]{xcolor}\n\
|usepackage{times,boxdims,graphicx,pstricks}\n\
|usepackage{siunitx}\n\
|setlength{|textwidth}{28cm}|setlength{|textheight}{28cm}\n\
|setlength{|oddsidemargin}{0pt}|setlength{|evensidemargin}{0pt}\n\
|setlength{|hoffset}{-1cm}\n\
|pagestyle{empty}|thispagestyle{empty}\n\
|newbox|graph\n\
|begin{document}\n\
|noindent|input{"$*".tex}|box|graph\n\
|end{document}\n" | $(BS)

.SUFFIXES: .ps .dvi .tex .m4 .pic .eps .png .pdf .svg .tif .gif
.m4.pic:
	@touch $(DIMFILE) F_$*.dim
	$(M4) $(CONF) $(DIMFILE) F_$*.dim $*.m4 > $*.pic
.m4.tex:
	@touch $(DIMFILE) F_$*.dim
#	$(M4) $(CONF) $(DIMFILE) F_$*.dim $*.m4 | $(PIC) $(MODE) > $*.tex
	$(M4) $(CONF) $(DIMFILE) F_$*.dim $*.m4 > $*.pic
	$(PIC) $(MODE) $*.pic > $*.tex
.m4.dvi:
	@touch $(DIMFILE) F_$*.dim
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	@$(LTXFILE) > F_$*.tex
	$(QLATEX) F_$*
	touch F_$*.dim $(DIMFILE)
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	$(QLATEX) F_$*
	mv F_$*.dvi $*.dvi
	rm -f F_*
.dvi.ps:
	dvips $(DVIPSOPTS) $* -o $*.ps
	chmod 644 $*.ps
.m4.ps:
	@touch $(DIMFILE) F_$*.dim
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	@$(LTXFILE) > F_$*.tex
	$(QLATEX) F_$*
	dvips $(DVIPSOPTS) F_$* -o $*.ps
	chmod 644 $*.ps
	rm -f F_*
.m4.eps:
	@touch $(DIMFILE) F_$*.dim
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	@$(LTXFILE) > F_$*.tex
	$(QLATEX) F_$*
	$(M4) pstricks.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -p > $*.tex
	$(QLATEX) F_$*
	dvips F_$* -T128cm,28cm -o $*.ps
# Recent changes to PSTricks(?) have clashed with the use of TeXtoEPS
#  so use ps2epsi
	ps2epsi $*.ps $*.epsi
	sed -e '/%%Pages:/d' -e '/BeginPreview/,$$d' $*.epsi \
     | tr '\015' '\012' > $*.eps
	sed -e '1,/EndPreview/d' $*.epsi >> $*.eps
	rm -f F_*
.m4.pdf:
	@touch $(DIMFILE) F_$*.dim
	$(M4) pgf.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -g > $*.tex
	@$(PDFLTXSRC) > F_$*.tex
	pdf$(QLATEX) F_$*
	$(M4) pgf.m4 $(DIMFILE) F_$*.dim $*.m4 | $(PIC) -g > $*.tex
	pdf$(QLATEX) F_$*
	mv F_$*.pdf $*.pdf
	rm -f F_*
.m4.png:
	make $*.pdf
	convert $(PNGOPTS) $*.pdf $*.png
	@if test -f $*.png.0 ; then mv $*.png.0 $*.png ; fi
#	rm $*.pdf
.m4.gif:
	make $*.pdf
	convert $(GIFOPTS) $*.pdf $*.gif
#	rm $*.pdf
.m4.tif:
	make $*.pdf
	convert $(EPSOPTS) $*.pdf $*.tif
	@if test -f $*.tif.0 ; then mv $*.tif.0 $*.tif ; fi
#	rm $*.pdf
.m4.svg:
	make $*.pdf
#	dvisvgm --pdf $*.pdf $*.svg
	pdf2svg $*.pdf $*.svg
	chmod 644 $*.svg
#	rm $*.pdf
	rm -f F_*

#########################################################################

$(DOC).pdf: clean pdfmode $(DOC).tex files.tex header.tex
	touch $(DOC).dim
	make CONF=pgf.m4 MODE=-g DIMFILE=$(DOC).dim pics
	cp $(LIBDIR)/doc/Version.tex .
	pdflatex $(DOC)
	rm -f $(BOXDIMS) ${BOXDIMS:%.tex=%.pic} $(DOC).pdf
	make CONF=pgf.m4 MODE=-g DIMFILE=$(DOC).dim $(BOXDIMS)
	pdflatex $(DOC)
	@printf "\n\n optpdf trims the pdf file\n"
	optpdf $(DOC).pdf

rose.pdf: rose.m4
	m4 pdf.m4 rose.m4 | dpic -d > rose.pdf

keyboard.svg: keyboard.m4
	m4 svg.m4 keyboard.m4 | dpic -v > keyboard.svg

keyboard.pdf: keyboard.svg
	-conv=`which convert` ; if test "`basename $$conv`" = "convert" ; then \
       convert keyboard.svg keyboard.pdf ; \
     else printf '.PS\n "keyboard.pdf requires imagemagick convert"\n.PE\n' \
       | dpic -d > keyboard.pdf ; fi

pics: rose.pdf keyboard.pdf $(TEXPICS)
	touch pics

$(DOC).ps: psmode $(DOC).dvi

psmode:
	printf "|usepackage{pstricks,pst-grad}\n" | $(BS) > mode.tex

pdfmode:
	printf "|usepackage{tikz}\n" | $(BS) > mode.tex

$(DOC).dvi: $(DOC).tex files.tex header.tex psmode
	touch $(DOC).dim
	make CONF=pstricks.m4 MODE=-p DIMFILE=$(DOC).dim pics
	cp $(LIBDIR)/doc/Version.tex .
	latex $(DOC)
	rm -f $(BOXDIMS) ${BOXDIMS:%.tex=%.pic} $(DOC).dvi
	make CONF=pstricks.m4 MODE=-p DIMFILE=$(DOC).dim $(BOXDIMS)
	latex $(DOC)

tst:
	@$(LTXFILE) | sed -e 's/{\.tex}/{test.tex}/' > tst.tex
	make CONF=pstricks.m4 PIC=dpic MODE=-p test.tex; $(QLATEX) tst
	rm -f test.tex test.pic
	make CONF=pstricks.m4 PIC=dpic MODE=-p test.tex; $(QLATEX) tst
	dvips $(DVIPSOPTS) tst -o tst.ps

tst1:
	@$(LTXFILE) | sed -e 's/{\.tex}/{test.tex}/' > tst.tex
	make CONF=pstricks.m4 PIC=dpic MODE=-p test.tex; $(QLATEX) tst
	dvips $(DVIPSOPTS) tst -o tst.ps

tikz:
	@$(LTXFILE) | sed -e 's/{\.tex}/{test.tex}/' -e 's/pstricks/tikz/' > tst.tex
	make CONF=pgf.m4 PIC=dpic MODE=-g test.tex; $(QLATEX) tst
	dvips $(DVIPSOPTS) tst -o tst.ps

gpic:
	@$(LTXFILE) | sed -e 's/{\.tex}/{test.tex}/' > tst.tex
	rm -f test.tex test.pic
	make CONF=gpic.m4 PIC=pic MODE=-t test.tex; $(QLATEX) tst
	dvips $(DVIPSOPTS) tst -o tst.ps

echopics:
	@echo $(TEXPICS)

testall:
	(cd mf; make)
	(cd mpost; make)
	(cd psfrag; make)
	(cd dpv; make)
	(cd xfig; make)

clobber:	clean
	rm -f *.ps
	-@for dir in mf mpost pdflatex xfig psfrag svg dev test; \
      do (if test -d $$dir ; then cd $$dir; make clobber; fi) ; done
	rm -f ../doc/Circuit_macros.pdf ../Circuit_macros.pdf
	rm -f *.warn
	rm -f examples.pdf
	rm -rf index.html html basenames *.png* dist zips htmlfiles svgfiles
	rm -rf $(TMP)/Cir* $(ECETMP)/Cir* $(ECEDIR)
	if test -f Incl.pdf ; then \
      mv Incl.pdf Incl.pdx; rm -f *.pdf; mv Incl.pdx Incl.pdf ; fi
	for file in `ls *.tex` ; do \
      nm=`echo $$file | sed -e "s/\(.*\)\.tex/\1/"` ; \
      if test -s $$nm.m4 ; then rm -f $$nm.pic $$nm.tex ; fi ; done
	(cd dpv; make clobber)
#	@if test -f distmakefile ; then make -f distmakefile clobber ; fi

clean:
	@printf "\n\n examples clean:\n\n"
	rm -f core boxdims.tar.gz pics
	rm -f *.dvi *.aux *.log *.toc *.blg *.eps *.tif *.epsi eps *-mfpic* *.svg
	rm -f fig*.tex $(TEXPICS) *.roff *.int *.pic gpic.m4 test.tex xxx* *.fig
	rm -f rose.pdf keyboard.pdf
	rm -f *.dim *.bak rotate.ps tst.ps *.bbl *-pics.ps
	rm -f *.tfm *[0-9]pk *.png *.svg *.1 *.gif
	rm -f F_* Version.tex *stackdump *.ico ./.[A-Za-z]*
	rm -rf distfile distfile.tar.gz mode.tex
	@printf "\n"
#	@if test -f distmakefile ; then make -f distmakefile clean ; fi

=== texmf-dist/doc/latex/graphviz/test/Makefile ===
.PHONY: all clean clobber

TPDF = $(shell find . -maxdepth 1 -type f -name 'pdf*.tex' | sort)
TPS = $(shell find . -maxdepth 1 -type f -name 'ps*.tex' | sort)
PS = $(TPS:.tex=.ps) 
PDF = $(TPDF:.tex=.pdf)


all: $(PS) $(PDF)

%.pdf: %.tex
	pdflatex -shell-escape $<
	pdflatex -shell-escape $<

%.dvi: %.tex
	latex -shell-escape $<
	latex -shell-escape $<

%.ps: %.dvi
	dvips $<

clean:
	rm -rf ./tmp
	rm -f master.gvpr
	rm -f master.graphviz
	rm -f *~
	rm -f *.dot
	rm -f *.ps
	rm -f *.pdf
	rm -f *.aux 
	rm -f *.glo 
	rm -f *.gls 
	rm -f *.idx 
	rm -f *.ilg 
	rm -f *.log 
	rm -f *.dvi 

clobber: clean
	rm -f $(PS)
	rm -f $(PDF)

=== debian/changelog ===
texlive-base (2024.20250309-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.
    - etoolbox is now in texlive-latex-base

 -- Hilmar Preuße <hille42@debian.org>  Thu, 13 Mar 2025 23:13:38 +0100

=== debian/control ===
--- 
+++ 
@@ -117,8 +117,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2024.20240401), texlive-binaries (>= 2024.20240313)
 Suggests: texlive-latex-base-doc, wp2latex
-Replaces: texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
-Breaks: latexml (<= 0.8.6-4), texlive-base (<< 2022.20220405), texlive-formats-extra (<< 2020.20201129), texlive-lang-japanese (<= 2022.20221123-1), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122)
+Replaces: texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122), texlive-latex-recommended (<< 2024.20250309)
+Breaks: latexml (<= 0.8.6-4), texlive-base (<< 2022.20220405), texlive-formats-extra (<< 2020.20201129), texlive-lang-japanese (<= 2022.20221123-1), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122), texlive-latex-recommended (<< 2024.20250309)
 Description: TeX Live: LaTeX fundamental packages
  These packages are either mandated by the core LaTeX team, or very widely 
  used and strongly recommended in practice.
@@ -156,6 +156,8 @@
  epstopdf-pkg -- Call epstopdf "on the fly"
  .
  etexcmds -- Avoid name clashes with e-TeX commands
+ .
+ etoolbox -- e-TeX tools for LaTeX
  .
  fancyhdr -- Extensive control of page headers and footers in LaTeX2e
  .

## texlive-base 2025.20250727

=== debian/changelog ===
texlive-base (2025.20250727-3) unstable; urgency=medium

  * Update scripts.lst to create missing links (Closes: #1111795).

 -- Hilmar Preuße <hille42@debian.org>  Tue, 26 Aug 2025 22:14:43 +0200

texlive-base (2025.20250727-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 14 Aug 2025 22:56:13 +0200

texlive-base (2025.20250727-1) experimental; urgency=medium

  * New upstream snapshot, refresh / disable patches.
    - I had to disable patch for texmfcnf.lua, file is gone.
    - Provides new version of documentmetadata-support (Closes: #1104860).

 -- Hilmar Preuße <hille42@debian.org>  Wed, 30 Jul 2025 23:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Package: texlive-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2024.20240313), ucf, xdg-utils
-Conflicts: tex4ht (<< 20160814), texlive (<< 2024.20240401), texlive-base (<< 2024.20240401), texlive-bibtex-extra (<< 2024.20240401), texlive-binaries (<< 2024.20240313), texlive-extra-utils (<< 2024.20240401), texlive-font-utils (<< 2024.20240401), texlive-fonts-extra (<< 2024.20240401), texlive-fonts-extra-doc (<< 2024.20240401), texlive-fonts-extra-links (<< 2024.20240401), texlive-fonts-recommended (<< 2024.20240401), texlive-fonts-recommended-doc (<< 2024.20240401), texlive-formats-extra (<< 2024.20240401), texlive-full (<< 2024.20240401), texlive-games (<< 2024.20240401), texlive-humanities (<< 2024.20240401), texlive-humanities-doc (<< 2024.20240401), texlive-lang-all (<< 2024.20240401), texlive-lang-arabic (<< 2024.20240401), texlive-lang-chinese (<< 2024.20240401), texlive-lang-cjk (<< 2024.20240401), texlive-lang-cyrillic (<< 2024.20240401), texlive-lang-czechslovak (<< 2024.20240401), texlive-lang-english (<< 2024.20240401), texlive-lang-european (<< 2024.20240401), texlive-lang-french (<< 2024.20240401), texlive-lang-german (<< 2024.20240401), texlive-lang-greek (<< 2024.20240401), texlive-lang-italian (<< 2024.20240401), texlive-lang-japanese (<< 2024.20240401), texlive-lang-korean (<< 2024.20240401), texlive-lang-other (<< 2024.20240401), texlive-lang-polish (<< 2024.20240401), texlive-lang-portuguese (<< 2024.20240401), texlive-lang-spanish (<< 2024.20240401), texlive-latex-base (<< 2024.20240401), texlive-latex-base-doc (<< 2024.20240401), texlive-latex-extra (<< 2024.20240401), texlive-latex-extra-doc (<< 2024.20240401), texlive-latex-recommended (<< 2024.20240401), texlive-latex-recommended-doc (<< 2024.20240401), texlive-luatex (<< 2024.20240401), texlive-metapost (<< 2024.20240401), texlive-metapost-doc (<< 2024.20240401), texlive-music (<< 2024.20240401), texlive-pictures (<< 2024.20240401), texlive-pictures-doc (<< 2024.20240401), texlive-plain-generic (<< 2024.20240401), texlive-pstricks (<< 2024.20240401), texlive-pstricks-doc (<< 2024.20240401), texlive-publishers (<< 2024.20240401), texlive-publishers-doc (<< 2024.20240401), texlive-science (<< 2024.20240401), texlive-science-doc (<< 2024.20240401), texlive-xetex (<< 2024.20240401)
+Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2025.20250727), ucf, xdg-utils
+Conflicts: tex4ht (<< 20160814), texlive (<< 2025.20250727), texlive-base (<< 2025.20250727), texlive-bibtex-extra (<< 2025.20250727), texlive-binaries (<< 2025.20250727), texlive-extra-utils (<< 2025.20250727), texlive-font-utils (<< 2025.20250727), texlive-fonts-extra (<< 2025.20250727), texlive-fonts-extra-doc (<< 2025.20250727), texlive-fonts-extra-links (<< 2025.20250727), texlive-fonts-recommended (<< 2025.20250727), texlive-fonts-recommended-doc (<< 2025.20250727), texlive-formats-extra (<< 2025.20250727), texlive-full (<< 2025.20250727), texlive-games (<< 2025.20250727), texlive-humanities (<< 2025.20250727), texlive-humanities-doc (<< 2025.20250727), texlive-lang-all (<< 2025.20250727), texlive-lang-arabic (<< 2025.20250727), texlive-lang-chinese (<< 2025.20250727), texlive-lang-cjk (<< 2025.20250727), texlive-lang-cyrillic (<< 2025.20250727), texlive-lang-czechslovak (<< 2025.20250727), texlive-lang-english (<< 2025.20250727), texlive-lang-european (<< 2025.20250727), texlive-lang-french (<< 2025.20250727), texlive-lang-german (<< 2025.20250727), texlive-lang-greek (<< 2025.20250727), texlive-lang-italian (<< 2025.20250727), texlive-lang-japanese (<< 2025.20250727), texlive-lang-korean (<< 2025.20250727), texlive-lang-other (<< 2025.20250727), texlive-lang-polish (<< 2025.20250727), texlive-lang-portuguese (<< 2025.20250727), texlive-lang-spanish (<< 2025.20250727), texlive-latex-base (<< 2025.20250727), texlive-latex-base-doc (<< 2025.20250727), texlive-latex-extra (<< 2025.20250727), texlive-latex-extra-doc (<< 2025.20250727), texlive-latex-recommended (<< 2025.20250727), texlive-latex-recommended-doc (<< 2025.20250727), texlive-luatex (<< 2025.20250727), texlive-metapost (<< 2025.20250727), texlive-metapost-doc (<< 2025.20250727), texlive-music (<< 2025.20250727), texlive-pictures (<< 2025.20250727), texlive-pictures-doc (<< 2025.20250727), texlive-plain-generic (<< 2025.20250727), texlive-pstricks (<< 2025.20250727), texlive-pstricks-doc (<< 2025.20250727), texlive-publishers (<< 2025.20250727), texlive-publishers-doc (<< 2025.20250727), texlive-science (<< 2025.20250727), texlive-science-doc (<< 2025.20250727), texlive-xetex (<< 2025.20250727)
 Recommends: lmodern (>= 0.93.3)
 Provides: dvipdfmx
 Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
@@ -115,7 +115,7 @@
 Package: texlive-latex-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2024.20240401), texlive-binaries (>= 2024.20240313)
+Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2025.20250727), texlive-binaries (>= 2025.20250727)
 Suggests: texlive-latex-base-doc, wp2latex
 Replaces: texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122), texlive-latex-recommended (<< 2024.20250309)
 Breaks: latexml (<= 0.8.6-4), texlive-base (<< 2022.20220405), texlive-formats-extra (<< 2020.20201129), texlive-lang-japanese (<= 2022.20221123-1), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122), texlive-latex-recommended (<< 2024.20250309)
@@ -212,7 +212,7 @@
  .
  ltxcmds -- Some LaTeX kernel commands for general use
  .
- ltxmisc -- Miscellaneous LaTeX packages, etc
+ ltxmisc -- Miscellaneous LaTeX packages, etc.
  .
  mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
  .
@@ -253,6 +253,6 @@
 Package: texlive-latex-recommended
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2024.20240313), texlive-latex-base (>= 2024.20240401)
+Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2025.20250727), texlive-latex-base (>= 2025.20250727)
 Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
 Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208)
